Generate download URL
curl --request POST \
--url https://app.miget.com/api/v1/buckets/{uuid}/objects/download_url \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>"
}
'import requests
url = "https://app.miget.com/api/v1/buckets/{uuid}/objects/download_url"
payload = { "key": "<string>" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>'})
};
fetch('https://app.miget.com/api/v1/buckets/{uuid}/objects/download_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}Bucket Objects
Generate download URL
Generates a presigned URL for downloading a file, or returns public URL for public buckets.
POST
/
api
/
v1
/
buckets
/
{uuid}
/
objects
/
download_url
Generate download URL
Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Path Parameters
Body
application/json
Generate download URL
Object key (file path)
⌘I

